Subject: Re: [Iasa20] WG Document Queue (adopting some new docs)

From: "Livingood, Jason" <[email-masked]>
Date: Mon, 27 Aug 2018 16:26:24 +0000

Looking at this again, I'd like to propose the WG adopt as WG items the update of each of these documents (call open through 10 Sept). Please let us know if there are additional RFCs/BCPs that mention the IAOC and need to be updated, and we can consider adding those as well. Most of these appear to be relatively minor updates to change citation of the IAOC to the LLC, but others will be potentially more involved.

Time to agree to adopt and begin work on:

  1.  RFC 6548 (see email on this a moment ago) - Independent Submission Editor Model
  2.  RFC 4333 - The IETF Administrative Oversight Committee (IAOC) Member Selection Guidelines and Process
  3.  RFC 2031 - IETF-ISOC relationship
  4.  RFC 6635 - RFC Editor Model
  5.  RFC 7437 - IAB, IESG, and IAOC Selection, Confirmation, and Recall Process: Operation of the Nominating and Recall Committees

Already agreed to be WG items from our charter:

  1.  RFC 4071 - Structure of the IETF Administrative Support Activity (IASA)
  2.  RFC 4371 - BCP 101 Update for IPR Trust

JL

From: iasa20 <[email-masked]> on behalf of Jason Livingood <[email-masked]>
Date: Wednesday, August 1, 2018 at 10:35 AM
To: IASA 2 WG <[email-masked]>
Subject: [Iasa20] WG Document Queue

FYI, below is our latest list of documents in process and/or documents that we need to revise:

Doc                                                     Replaces

  1.  draft-ietf-iasa2-struct                   N/A
  2.  draft-ietf-iasa2-trust-rationale   N/A
  3.  draft-ietf-iasa2-trust-update      RFC 4371, BCP 101 Update for IPR Trust
  4.  None yet                                           RFC 4071, Structure of the IETF Administrative Support Activity (IASA)
  5.  None yet                                           RFC 7437, IAB, IESG, and IAOC Selection, Confirmation, and Recall Process: Operation of the Nominating and Recall Committees
  6.  None yet                                           RFC 4333, The IETF Administrative Oversight Committee (IAOC) Member Selection Guidelines and Process
  7.  None yet                                           RFC 2031, IETF-ISOC relationship
  8.  None yet                                           RFC 6635, RFC Editor Model (Version 2)
  9.  None yet                                           RFC 3710, An IESG charter

If we're missing any documents, don't hesitate to say so.

Jason

---

From: Bob Hinden <[email-masked]>
Date: Mon, 27 Aug 2018 09:34:29 -0700

Jason,

One nit below:

> On Aug 27, 2018, at 9:26 AM, Livingood, Jason <[email-masked]> wrote:
> 
> 	• RFC 6548 (see email on this a moment ago) - Independent Submission Editor Model
> 	• RFC 4333 - The IETF Administrative Oversight Committee (IAOC) Member Selection Guidelines and Process
> 	• RFC 2031 - IETF-ISOC relationship
> 	• RFC 6635 - RFC Editor Model

This was adopted earlier.

Thanks,
Bob

> 	• RFC 7437 - IAB, IESG, and IAOC Selection, Confirmation, and Recall Process: Operation of the Nominating and Recall Committees
> 
> 	• RFC 4071 - Structure of the IETF Administrative Support Activity (IASA)
> 	• RFC 4371 - BCP 101 Update for IPR Trust
> 
> JL
> 
> 	• draft-ietf-iasa2-struct                   N/A
> 	• draft-ietf-iasa2-trust-rationale   N/A
> 	• draft-ietf-iasa2-trust-update      RFC 4371, BCP 101 Update for IPR Trust
> 	• None yet                                           RFC 4071, Structure of the IETF Administrative Support Activity (IASA)
> 	• None yet                                           RFC 7437, IAB, IESG, and IAOC Selection, Confirmation, and Recall Process: Operation of the Nominating and Recall Committees
> 	• None yet                                           RFC 4333, The IETF Administrative Oversight Committee (IAOC) Member Selection Guidelines and Process
> 	• None yet                                           RFC 2031, IETF-ISOC relationship
> 	• None yet                                           RFC 6635, RFC Editor Model (Version 2)
> 	• None yet                                           RFC 3710, An IESG charter
> 
> _______________________________________________
> iasa20 mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/iasa20

---

From: "Livingood, Jason" <[email-masked]>
Date: Mon, 27 Aug 2018 16:37:57 +0000

Ah yes - thanks for catching that nit, Bob! (Silly error on my part - it's a Monday!)

That simplifies the list to this:
• RFC 6548 (see email on this a moment ago) - Independent Submission Editor Model
• RFC 4333 - The IETF Administrative Oversight Committee (IAOC) Member Selection Guidelines and Process
• RFC 2031 - IETF-ISOC relationship

________________________________
From: Bob Hinden <[email-masked]>
Sent: Monday, August 27, 2018 12:34:29 PM
To: Livingood, Jason
Cc: Bob Hinden; IASA 2 WG
Subject: [EXTERNAL] Re: [Iasa20] WG Document Queue (adopting some new docs)

Jason,

Thanks,
Bob

---

From: Harald Alvestrand <[email-masked]>
Date: Mon, 27 Aug 2018 20:28:35 +0200

For RFC 4333, isn't the proper action to reclassify it as Historic?

On 08/27/2018 06:26 PM, Livingood, Jason wrote:
>
> Looking at this again, I'd like to propose the WG adopt as WG items
> the update of each of these documents (call open through 10 Sept).
> Please let us know if there are additional RFCs/BCPs that mention the
> IAOC and need to be updated, and we can consider adding those as well.
> Most of these appear to be relatively minor updates to change citation
> of the IAOC to the LLC, but others will be potentially more involved.
>
>
>  5. RFC 7437 - IAB, IESG, and IAOC Selection, Confirmation, and Recall
>     Process: Operation of the Nominating and Recall Committees
>
>  
>
> *From: *iasa20 <[email-masked]> on behalf of Jason Livingood
> <[email-masked]>
> *Date: *Wednesday, August 1, 2018 at 10:35 AM
> *To: *IASA 2 WG <[email-masked]>
> *Subject: *[Iasa20] WG Document Queue
>
>  
>
>  4. None yet                                           RFC 4071,
>     Structure of the IETF Administrative Support Activity (IASA)
>  5. None yet                                           RFC 7437, IAB,
>     IESG, and IAOC Selection, Confirmation, and Recall Process:
>     Operation of the Nominating and Recall Committees
>  6. None yet                                           RFC 4333, The
>     IETF Administrative Oversight Committee (IAOC) Member Selection
>     Guidelines and Process
>  7. None yet                                           RFC 2031,
>     IETF-ISOC relationship

-- 
Surveillance is pervasive. Go Dark.

---

From: Bob Hinden <[email-masked]>
Date: Mon, 27 Aug 2018 11:35:41 -0700

Harald,

> On Aug 27, 2018, at 11:28 AM, Harald Alvestrand <[email-masked]> wrote:
> 

I think that <draft-ietf-iasa2-struct-05> should obsolete RFC4333.

Also, probably good to remove “Proposed” from the title as well and have it be a BCP.

Bob

---

From: Joseph Lorenzo Hall <[email-masked]>
Date: Mon, 27 Aug 2018 16:20:25 -0400

> Also, probably good to remove “Proposed” from the title as well and have it be a BCP.

I have been waiting for the draft-ietf-iasa2-struct to finish before
moving on to work of drafting the bis for RFC 4071 (BCP 101), which
would have the same title as -struct would have if we dropped
"Proposed". I had thought of -struct being the work of the IASA 2.0 in
the proposed stage and then a re-up of BCP 101 to get into the variety
of details needed there. Is that not a good way to proceed? (As long
as it makes sense, let's do what makes the most sense.) best, Joe

---

From: Bob Hinden <[email-masked]>
Date: Mon, 27 Aug 2018 13:44:02 -0700

Joe,

> On Aug 27, 2018, at 1:20 PM, Joseph Lorenzo Hall <[email-masked]> wrote:
> 

I suspect that a rewrite of BCP101 would end up looking like a lot like -struct.   I don’t have a strong opinion as long as we end up with something that does replace BCP101 and things like rfc6635bis can reference it.

Also, seems to me like we are now beyond the “proposed” phase.

Bob

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 28 Aug 2018 08:47:27 +1200

grep found some others, mainly trivial to fix I think:

RFC4844
RFC5377
RFC6220
RFC7500
RFC7691
RFC7776

Regards
   Brian

---

From: "Livingood, Jason" <[email-masked]>
Date: Tue, 28 Aug 2018 16:30:37 +0000

Thanks Brian - I added those to the list!

________________________________
From: Brian E Carpenter <[email-masked]>
Sent: Monday, August 27, 2018 4:47 PM
To: Livingood, Jason; IASA 2 WG
Subject: [EXTERNAL] Re: [Iasa20] WG Document Queue (adopting some new docs)

RFC4844
RFC5377
RFC6220
RFC7500
RFC7691
RFC7776

Regards
   Brian

---

From: "Livingood, Jason" <[email-masked]>
Date: Tue, 28 Aug 2018 16:31:36 +0000

Good points, Bob and Harald. We'll mull this over a bit. Certainly anything we can do to reduce workload will be good. 😊

________________________________
From: iasa20 <[email-masked]> on behalf of Bob Hinden <[email-masked]>
Sent: Monday, August 27, 2018 4:44 PM
To: Joseph Lorenzo Hall
Cc: Harald Alvestrand; [email-masked]; Bob Hinden
Subject: Re: [Iasa20] WG Document Queue (adopting some new docs)

Joe,

Bob

---

From: Joseph Lorenzo Hall <[email-masked]>
Date: Tue, 28 Aug 2018 12:56:52 -0400

I suspect we might want to somehow differentiate the two documents but not
necessarily hold up -struct to get all the pieces of 101bis in place. So
I'd propose keeping "Proposed" in the title or somehow signaling that this
was an operational working document of the IASA 2.0 process and that a
101bis is coming that is more comprehensive and less transitional. Does
that make sense?

On Tue, Aug 28, 2018 at 12:31 PM Livingood, Jason <
[email-masked]> wrote:

> Good points, Bob and Harald. We'll mull this over a bit. Certainly
> anything we can do to reduce workload will be good. 😊
>
>
> ------------------------------
> *From:* iasa20 <[email-masked]> on behalf of Bob Hinden <
> [email-masked]>
> *Sent:* Monday, August 27, 2018 4:44 PM
> *To:* Joseph Lorenzo Hall
> *Cc:* Harald Alvestrand; [email-masked]; Bob Hinden
> *Subject:* Re: [Iasa20] WG Document Queue (adopting some new docs)
>
> Joe,
>
> I suspect that a rewrite of BCP101 would end up looking like a lot like
> -struct.   I don’t have a strong opinion as long as we end up with
> something that does replace BCP101 and things like rfc6635bis can reference
> it.
>

-- 
Joseph Lorenzo Hall
Chief Technologist, Center for Democracy & Technology [https://www.cdt.org]
1401 K ST NW STE 200, Washington DC 20005-3497
e: [email-masked], p: 202.407.8825, pgp: https://josephhall.org/gpg-key
Fingerprint: 3CA2 8D7B 9F6D DBD3 4B10  1607 5F86 6987 40A9 A871

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 29 Aug 2018 08:27:01 +1200

Hi,

Somebody's to-do list should include updates to the IETF web site,
where there are multiple references to the IAOC (beyond its own
site https://iaoc.ietf.org/, which I assume the LLC will replace
with its own materials).

They include the Tao, educational and tutorial materials, etc.

Regards
   Brian